# Class CIM_ProcessExecutable
extends CIM_Dependency

A link between a Process and a DataFile indicating that the File participates in the execution of the Process.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_ProcessExecutable

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | A link between a Process and a DataFile indicating that the File participates in the execution of the Process.
UMLPackagePath | string | CIM::System::Processing
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_ProcessExecutable | CIM_DataFile
Dependent | CIM_ProcessExecutable | CIM_Process

## Class Methods